Contenu | Rechercher | Menus

Annonce

Ubuntu-fr.org recrute toujours de nouveaux modérateurs, avec de l'expérience.

Ubuntu 16.04 LTS
Réservez vos DVD et clé USB Ubuntu-fr (premières livraisons mi-mai)

Si vous avez des soucis pour rester connecté, déconnectez vous et reconnectez vous depuis ce lien en cochant le case
Me connecter automatiquement lors de mes prochaines visites.

M.A.J. en cours du forum possibilité de bug, nous faisons le maximum pour les résoudre au plus vite

#1 Le 13/11/2012, à 16:22

tutoux

12.10: software-properties-gtk: UnicodeDecodeError

Bonjour,

12.04LTS-64b passée en 12.10 et l'autre matin, pb avec software-properties-gtk.
blocage sur synaptic : configuration : dépots : "dépots modifiés" : "rechargez", puis aussitôt : erreur  : "problème logiciel détecté" > signaler le pb.

sudo apt-get update : encore un blocage.

je suis les conseils d'ici :
http://ubuntuforums.org/archive/index.p … 02417.html

The issue has been fixed. I found the solution in the Launch Pad questions.
This command sequence solved the issue.

sudo fuser -vvv /var/lib/dpkg/lock
sudo rm /var/lib/apt/lists/lock
sudo cp -arf /var/lib/dpkg /var/lib/dpkg.backup
sudo cp /var/lib/dpkg/status-old /var/lib/dpkg/status
sudo cp /var/lib/dpkg/available-old /var/lib/dpkg/available
sudo rm -rf /var/lib/dpkg/updates/*
sudo rm -rf /var/lib/apt/lists
sudo rm /var/cache/apt/*.bin
sudo mkdir /var/lib/apt/lists
sudo mkdir /var/lib/apt/lists/partial
LANG=C;sudo apt-get clean
LANG=C;sudo apt-get autoclean
LANG=C;sudo apt-get --purge autoremove
LANG=C;sudo apt-get update -o APT::Cache-Limit=25165824
sudo dpkg --clear-avail
sudo dpkg --configure -a
LANG=C;sudo apt-get -f install
LANG=C;sudo apt-get --fix-missing install
LANG=C;sudo apt-get update -o APT::Cache-Limit=25165824 && sudo apt-get dist-upgrade

mais en passant à 40Mo car trop faible :
sudo apt-get update -o APT::Cache-Limit=40000000 && sudo apt-get dist-upgrade

et sans l'entrée LANG

apparemment ça s'est pas trop mal passé et fini avec :

Dépaquetage de la mise à jour de libunity-webapps0 ...
Traitement des actions différées (« triggers ») pour « libglib2.0-0:i386 »...
Traitement des actions différées (« triggers ») pour « libglib2.0-0:amd64 »...
Paramétrage de libavutil51:amd64 (6:0.8.4-0ubuntu0.12.10.1) ...
Paramétrage de libavcodec53:amd64 (6:0.8.4-0ubuntu0.12.10.1) ...
Paramétrage de libavformat53:amd64 (6:0.8.4-0ubuntu0.12.10.1) ...
Paramétrage de libpostproc52:amd64 (6:0.8.4-0ubuntu0.12.10.1) ...
Paramétrage de libswscale2:amd64 (6:0.8.4-0ubuntu0.12.10.1) ...
Paramétrage de unity-webapps-service (2.4.1-0ubuntu3.1) ...
Paramétrage de libunity-webapps0 (2.4.1-0ubuntu3.1) ...
Traitement des actions différées (« triggers ») pour « libc-bin »...
ldconfig deferred processing now taking place
N: « getdeb.list.bck » dans le répertoire « /etc/apt/sources.list.d/ » a été ignoré car il utilise une extension non valable
N: « getdeb.list.bck » dans le répertoire « /etc/apt/sources.list.d/ » a été ignoré car il utilise une extension non valablemlbg@mlbg-UL30A:~$ 

je relance synaptic / config / dépots : rebelote :-(
je reteste :

gksudo software-properties-gtk
Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 9: reading configurations from ~/.fonts.conf is deprecated.
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/UbuntuDrivers/detect.py", line 162, in packages_for_modalias
    cache_map = packages_for_modalias.cache_maps[apt_cache_hash]
KeyError: 3278937

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/software-properties-gtk", line 103, in <module>
    app = SoftwarePropertiesGtk(datadir=options.data_dir, options=options, file=file)
  File "/usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py", line 178, in __init__
    self.init_drivers()
  File "/usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py", line 1097, in init_drivers
    self.devices = detect.system_device_drivers()
  File "/usr/lib/python3/dist-packages/UbuntuDrivers/detect.py", line 415, in system_device_drivers
    for pkg, pkginfo in system_driver_packages(apt_cache).items():
  File "/usr/lib/python3/dist-packages/UbuntuDrivers/detect.py", line 319, in system_driver_packages
    for p in packages_for_modalias(apt_cache, alias):
  File "/usr/lib/python3/dist-packages/UbuntuDrivers/detect.py", line 164, in packages_for_modalias
    cache_map = _apt_cache_modalias_map(apt_cache)
  File "/usr/lib/python3/dist-packages/UbuntuDrivers/detect.py", line 129, in _apt_cache_modalias_map
    m = package.candidate.record['Modaliases']
  File "/usr/lib/python3/dist-packages/apt/package.py", line 429, in record
    return Record(self._records.record)
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xe9 in position 735: invalid continuation byte
mlbg@mlbg-UL30A:~$ 

Une idée ?
Merci d'avance.
Cordialement.
tutoux

Hors ligne